org.apache.xmlgraphics.util.io

## Class FlateEncodeOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.util.zip.DeflaterOutputStream
      - - org.apache.xmlgraphics.util.io.FlateEncodeOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable, Finalizable

      public class FlateEncodeOutputStream
      extends java.util.zip.DeflaterOutputStream
      implements Finalizable

  This class applies a FlateEncode filter to the stream. It is basically the normal DeflaterOutputStream except now also implementing the Finalizable interface.
  Version:
    $Id: FlateEncodeOutputStream.java 1732018 2016-02-24 04:51:06Z gadams $

- - ### Field Summary

    - ### Fields inherited from class java.util.zip.DeflaterOutputStream

      `buf, def`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlateEncodeOutputStream(java.io.OutputStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalizeStream()` This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.

    - ### Methods inherited from class java.util.zip.DeflaterOutputStream

      `close, deflate, finish, flush, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlateEncodeOutputStream

          public FlateEncodeOutputStream(java.io.OutputStream out)

      See Also:
        `DeflaterOutputStream`

  - ### Method Detail

    - #### finalizeStream

          public void finalizeStream()
                              throws java.io.IOException

      Description copied from interface: `Finalizable`
      This method can be called instead of close() on a subclass of FilteredOutputStream when a final marker has to be written to the target stream, but close() cannot be called.
      Specified by:
        `finalizeStream` in interface `Finalizable`
      Throws:
        `java.io.IOException` - In case of an IO problem
      See Also:
        `Finalizable`

Copyright 1999-2019 The Apache Software Foundation. All Rights Reserved.